Subject: Re: bug#15069: Introduction to Elisp 14.3: Function 'count-words-defun' does not work as described.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 21 Aug 2021 15:44:50 +0200

pillule <[email-masked]> writes:

>> So why did you think it speaks about the text in the Info buffer?
>> That's not the intent of the text, and the text says as much.

[...]

> (info "(eintr) Buffer Names")
> «   If you are reading this in Info inside of GNU Emacs, you can
> evaluate
> each of the following expressions by positioning the cursor after it
> and
> typing ‘C-x C-e’.»
>
> Finally the section :
>
> (info "(eintr) count-words-in-defun")
> «   Now we can try out ‘count-words-defun’: install both
> ‘count-words-in-defun’ and ‘count-words-defun’, and set the
> keybinding,
> and then place the cursor within the following definition:»
>                          ^_____________________________^
>
> So I can understand one may be confused to discover that in this case,
> he or she must instead copy the following definition in a separate
> file,
> then call the command `count-words-in-defun' within it.

I agree -- I read the section now, and `C-x C-e'-d the definitions as
expected (in the *info* buffer), and then I naturally tried the `C-c ='
command in the *info* buffer too -- which failed.

So I've installed a clarification along the lines suggested by pillule
in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no